Subject: [quicwg/base-drafts] Add reference to RFC2914 in sec consideration sec (#3493)

From: mirjak <[email-masked]>
Date: Tue, 03 Mar 2020 03:28:24 -0800

And mention risk of congestion collapse in security consideration sec.
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/3493

-- Commit Summary --

  * Add reference to RFC2914 in sec consideration sec

-- File Changes --

    M draft-ietf-quic-recovery.md (5)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/3493.patch
https://github.com/quicwg/base-drafts/pull/3493.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3493

---

From: ianswett <[email-masked]>
Date: Tue, 03 Mar 2020 13:07:23 -0800

ianswett commented on this pull request.

> @@ -822,6 +822,11 @@ loss and ECN codepoints -- from unauthenticated entities.  On-path attackers can
 spoof or alter these signals.  An attacker can cause endpoints to reduce their
 sending rate by dropping packets, or alter send rate by changing ECN codepoints.
 
+Congestion control is essential to to avoid an congestion collapse of

```suggestion
Congestion control is essential to avoid congestion collapse of
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3493#pullrequestreview-368324420

---

From: ianswett <[email-masked]>
Date: Tue, 03 Mar 2020 13:09:14 -0800

Does this add anything that's not covered by the text in "Congestion Control"?

"If an endpoint uses a different controller than that specified in this document, the chosen controller MUST conform to the congestion control guidelines specified in Section 3.1 of {{!RFC8085}}."

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3493#issuecomment-594169695

---

From: ianswett <[email-masked]>
Date: Tue, 10 Mar 2020 15:50:20 -0700

ianswett requested changes on this pull request.

I would propose we close this and not merge it.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3493#pullrequestreview-372373949

---

From: Jana Iyengar <[email-masked]>
Date: Tue, 10 Mar 2020 15:50:51 -0700

I agree. I don't think we need this, given the reference to 8085.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3493#issuecomment-597358410

---

From: Jana Iyengar <[email-masked]>
Date: Tue, 10 Mar 2020 15:51:14 -0700

Closed #3493.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3493#event-3116733650